Skip to main content
GET
/
api
/
v1
/
digital
/
posts
List digital posts
curl --request GET \
  --url https://api.example.com/api/v1/digital/posts \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source": "wordpress",
      "external_id": 123,
      "title": "<string>",
      "slug": "<string>",
      "excerpt": "<string>",
      "author_name": "<string>",
      "featured_image_url": "<string>",
      "source_url": "<string>",
      "published_at": "2023-11-07T05:31:56Z",
      "wp_categories": "<unknown>",
      "wp_tags": "<unknown>",
      "synced_at": "2023-11-07T05:31:56Z",
      "story": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Query Parameters

cursor
string

The pagination cursor value.

ordering
string

Which field to use when ordering the results.

page_size
integer

Number of results to return per page.

A search term.

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"